Upstream information

CVE-2015-8370 at MITRE

Description

Multiple integer underflows in Grub2 1.98 through 2.02 allow physically proximate attackers to bypass authentication, obtain sensitive information, or cause a denial of service (disk corruption) via backspace characters in the (1) grub_username_get function in grub-core/normal/auth.c or the (2) grub_password_get function in lib/crypto.c, which trigger an "Off-by-two" or "Out of bounds overwrite" memory error.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.9 6.9
Vector AV:L/AC:M/Au:N/C:C/I:C/A:C AV:L/AC:M/Au:N/C:C/I:C/A:C
Access Vector Local Local
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Complete Complete
Integrity Impact Complete Complete
Availability Impact Complete Complete

Note from the SUSE Security Team

The attack vector of this vulnerability is local, meaning that it will be mitigated in typical data centers and other settings with controlled physical access.

SUSE Bugzilla entry: 956631 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • grub2 >= 2.00-0.49.2
  • grub2-x86_64-efi >= 2.00-0.49.2
  • grub2-x86_64-xen >= 2.00-0.49.2
Patchnames:
sledsp3-grub2-12287
SUSE Linux Enterprise Desktop 11 SP4
  • grub2 >= 2.00-0.54.2
  • grub2-x86_64-efi >= 2.00-0.54.2
  • grub2-x86_64-xen >= 2.00-0.54.2
Patchnames:
sledsp4-grub2-12288
SUSE Linux Enterprise Desktop 12
  • grub2 >= 2.02~beta2-56.9.4
  • grub2-i386-pc >= 2.02~beta2-56.9.4
  • grub2-snapper-plugin >= 2.02~beta2-56.9.4
  • grub2-x86_64-efi >= 2.02~beta2-56.9.4
  • grub2-x86_64-xen >= 2.02~beta2-56.9.4
Patchnames:
SUSE-SLE-DESKTOP-12-2015-1032
SUSE Linux Enterprise Desktop 12 SP1
  • grub2 >= 2.02~beta2-73.3
  • grub2-i386-pc >= 2.02~beta2-73.3
  • grub2-snapper-plugin >= 2.02~beta2-73.3
  • grub2-x86_64-efi >= 2.02~beta2-73.3
  • grub2-x86_64-xen >= 2.02~beta2-73.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2015-1027
SUSE Linux Enterprise Desktop 12 SP2
  • grub2 >= 2.02~beta2-104.16
  • grub2-i386-pc >= 2.02~beta2-104.16
  • grub2-snapper-plugin >= 2.02~beta2-104.16
  • grub2-systemd-sleep-plugin >= 2.02~beta2-104.16
  • grub2-x86_64-efi >= 2.02~beta2-104.16
  • grub2-x86_64-xen >= 2.02~beta2-104.16
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA grub2
SUSE Linux Enterprise Desktop 12 SP3
  • grub2 >= 2.02-2.12
  • grub2-i386-pc >= 2.02-2.12
  • grub2-snapper-plugin >= 2.02-2.12
  • grub2-systemd-sleep-plugin >= 2.02-2.12
  • grub2-x86_64-efi >= 2.02-2.12
  • grub2-x86_64-xen >= 2.02-2.12
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA grub2
SUSE Linux Enterprise Module for Basesystem 15
  • grub2 >= 2.02-17.4
  • grub2-i386-pc >= 2.02-17.4
  • grub2-snapper-plugin >= 2.02-17.4
  • grub2-systemd-sleep-plugin >= 2.02-17.4
  • grub2-x86_64-efi >= 2.02-17.4
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA grub2
SUSE Linux Enterprise Module for Server Applications 15
  • grub2-x86_64-xen >= 2.02-17.4
Patchnames:
SUSE Linux Enterprise Module for Server Applications 15 GA grub2-x86_64-xen
SUSE Linux Enterprise Server 11 SP3
  • grub2 >= 2.00-0.49.2
  • grub2-x86_64-efi >= 2.00-0.49.2
  • grub2-x86_64-xen >= 2.00-0.49.2
Patchnames:
slessp3-grub2-12287
SUSE Linux Enterprise Server 11 SP4
  • grub2 >= 2.00-0.54.2
  • grub2-x86_64-efi >= 2.00-0.54.2
  • grub2-x86_64-xen >= 2.00-0.54.2
Patchnames:
slessp4-grub2-12288
SUSE Linux Enterprise Server 12
  • grub2 >= 2.02~beta2-56.9.4
  • grub2-i386-pc >= 2.02~beta2-56.9.4
  • grub2-powerpc-ieee1275 >= 2.02~beta2-56.9.4
  • grub2-s390x-emu >= 2.02~beta2-56.9.4
  • grub2-snapper-plugin >= 2.02~beta2-56.9.4
  • grub2-x86_64-efi >= 2.02~beta2-56.9.4
  • grub2-x86_64-xen >= 2.02~beta2-56.9.4
Patchnames:
SUSE-SLE-SERVER-12-2015-1032
SUSE Linux Enterprise Server 12 SP1
  • grub2 >= 2.02~beta2-73.3
  • grub2-i386-pc >= 2.02~beta2-73.3
  • grub2-powerpc-ieee1275 >= 2.02~beta2-73.3
  • grub2-s390x-emu >= 2.02~beta2-73.3
  • grub2-snapper-plugin >= 2.02~beta2-73.3
  • grub2-x86_64-efi >= 2.02~beta2-73.3
  • grub2-x86_64-xen >= 2.02~beta2-73.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2015-1027
SUSE Linux Enterprise Server 12 SP2
  • grub2 >= 2.02~beta2-104.16
  • grub2-arm64-efi >= 2.02~beta2-104.16
  • grub2-i386-pc >= 2.02~beta2-104.16
  • grub2-powerpc-ieee1275 >= 2.02~beta2-104.16
  • grub2-s390x-emu >= 2.02~beta2-104.16
  • grub2-snapper-plugin >= 2.02~beta2-104.16
  • grub2-systemd-sleep-plugin >= 2.02~beta2-104.16
  • grub2-x86_64-efi >= 2.02~beta2-104.16
  • grub2-x86_64-xen >= 2.02~beta2-104.16
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA grub2
SUSE Linux Enterprise Server 12 SP3
  • grub2 >= 2.02-2.12
  • grub2-arm64-efi >= 2.02-2.12
  • grub2-i386-pc >= 2.02-2.12
  • grub2-powerpc-ieee1275 >= 2.02-2.12
  • grub2-s390x-emu >= 2.02-2.12
  • grub2-snapper-plugin >= 2.02-2.12
  • grub2-systemd-sleep-plugin >= 2.02-2.12
  • grub2-x86_64-efi >= 2.02-2.12
  • grub2-x86_64-xen >= 2.02-2.12
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA grub2
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • grub2 >= 2.02~beta2-104.16
  • grub2-arm64-efi >= 2.02~beta2-104.16
  • grub2-snapper-plugin >= 2.02~beta2-104.16
  • grub2-systemd-sleep-plugin >= 2.02~beta2-104.16
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA grub2
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • grub2 >= 2.00-0.49.2
  • grub2-x86_64-efi >= 2.00-0.49.2
  • grub2-x86_64-xen >= 2.00-0.49.2
Patchnames:
slessp3-grub2-12287
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • grub2 >= 2.00-0.54.2
  • grub2-x86_64-efi >= 2.00-0.54.2
  • grub2-x86_64-xen >= 2.00-0.54.2
Patchnames:
slessp4-grub2-12288
SUSE Linux Enterprise Server for SAP Applications 12
  • grub2 >= 2.02~beta2-56.9.4
  • grub2-i386-pc >= 2.02~beta2-56.9.4
  • grub2-powerpc-ieee1275 >= 2.02~beta2-56.9.4
  • grub2-s390x-emu >= 2.02~beta2-56.9.4
  • grub2-snapper-plugin >= 2.02~beta2-56.9.4
  • grub2-x86_64-efi >= 2.02~beta2-56.9.4
  • grub2-x86_64-xen >= 2.02~beta2-56.9.4
Patchnames:
SUSE-SLE-SERVER-12-2015-1032
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • grub2 >= 2.02~beta2-73.3
  • grub2-i386-pc >= 2.02~beta2-73.3
  • grub2-powerpc-ieee1275 >= 2.02~beta2-73.3
  • grub2-s390x-emu >= 2.02~beta2-73.3
  • grub2-snapper-plugin >= 2.02~beta2-73.3
  • grub2-x86_64-efi >= 2.02~beta2-73.3
  • grub2-x86_64-xen >= 2.02~beta2-73.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2015-1027
SUSE Linux Enterprise Server for VMWare 11 SP3
  • grub2 >= 2.00-0.49.2
  • grub2-x86_64-efi >= 2.00-0.49.2
  • grub2-x86_64-xen >= 2.00-0.49.2
Patchnames:
slessp3-grub2-12287
openSUSE 13.1
  • grub2 >= 2.00-39.11.1
  • grub2-debuginfo >= 2.00-39.11.1
  • grub2-debugsource >= 2.00-39.11.1
  • grub2-i386-efi >= 2.00-39.11.1
  • grub2-i386-efi-debuginfo >= 2.00-39.11.1
  • grub2-i386-pc >= 2.00-39.11.1
  • grub2-i386-pc-debuginfo >= 2.00-39.11.1
  • grub2-x86_64-efi >= 2.00-39.11.1
  • grub2-x86_64-efi-debuginfo >= 2.00-39.11.1
Patchnames:
openSUSE-2015-957
openSUSE Leap 15.0
  • grub2 >= 2.02-lp150.12.8
  • grub2-i386-pc >= 2.02-lp150.12.8
  • grub2-snapper-plugin >= 2.02-lp150.12.8
  • grub2-systemd-sleep-plugin >= 2.02-lp150.12.8
  • grub2-x86_64-efi >= 2.02-lp150.12.8
Patchnames:
openSUSE Leap 15.0 GA grub2
openSUSE Leap 42.1
  • grub2 >= 2.02~beta2-76.1
  • grub2-branding-upstream >= 2.02~beta2-76.1
  • grub2-debuginfo >= 2.02~beta2-76.1
  • grub2-i386-efi >= 2.02~beta2-76.1
  • grub2-i386-pc >= 2.02~beta2-76.1
  • grub2-snapper-plugin >= 2.02~beta2-76.1
  • grub2-x86_64-efi >= 2.02~beta2-76.1
  • grub2-x86_64-xen >= 2.02~beta2-76.1
Patchnames:
openSUSE-2016-10
openSUSE Leap 42.2
  • grub2 >= 2.02~beta2-87.1
  • grub2-i386-pc >= 2.02~beta2-87.1
  • grub2-snapper-plugin >= 2.02~beta2-87.1
  • grub2-systemd-sleep-plugin >= 2.02~beta2-87.1
  • grub2-x86_64-efi >= 2.02~beta2-87.1
  • grub2-x86_64-xen >= 2.02~beta2-87.1
Patchnames:
openSUSE Leap 42.2 GA grub2
openSUSE Leap 42.3
  • grub2 >= 2.02-2.6
  • grub2-i386-pc >= 2.02-2.6
  • grub2-snapper-plugin >= 2.02-2.6
  • grub2-systemd-sleep-plugin >= 2.02-2.6
  • grub2-x86_64-efi >= 2.02-2.6
  • grub2-x86_64-xen >= 2.02-2.6
Patchnames:
openSUSE Leap 42.3 GA grub2
openSUSE Tumbleweed
  • grub2 >= 2.02~beta3-15.1
  • grub2-branding-upstream >= 2.02~beta3-15.1
  • grub2-i386-efi >= 2.02~beta3-15.1
  • grub2-i386-pc >= 2.02~beta3-15.1
  • grub2-i386-xen >= 2.02~beta3-15.1
  • grub2-snapper-plugin >= 2.02~beta3-15.1
  • grub2-systemd-sleep-plugin >= 2.02~beta3-15.1
  • grub2-x86_64-efi >= 2.02~beta3-15.1
  • grub2-x86_64-xen >= 2.02~beta3-15.1
Patchnames:
openSUSE Tumbleweed GA grub2


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP3 grub2 Released
SUSE Linux Enterprise Desktop 11 SP4 grub2 Released
SUSE Linux Enterprise Desktop 12 GA grub2 Released
SUSE Linux Enterprise Desktop 12 SP1 grub2 Released
SUSE Linux Enterprise Server 11 SP3 grub2 Released
SUSE Linux Enterprise Server 11 SP3 LTSS grub2 Released
SUSE Linux Enterprise Server 11 SP4 grub2 Released
SUSE Linux Enterprise Server 12 GA grub2 Released
SUSE Linux Enterprise Server 12 SP1 grub2 Released
SUSE Linux Enterprise Server for VMWare 11 SP3 grub2 Released